class puppet_enterprise::console::database(
  $database_host,
  $database_name     = $puppet_enterprise::params::console_database_name,
  $database_password = $puppet_enterprise::params::console_database_password,
  $database_port     = $puppet_enterprise::params::database_port,
  $database_user     = $puppet_enterprise::params::console_database_user,
  $migrate_db        = true,
) inherits puppet_enterprise::params {

  Exec {
    path        => '/opt/puppet/bin:/usr/bin:/bin',
    cwd         => '/opt/puppet/share/puppet-dashboard',
    logoutput   => on_failure,
  }

  unless pe_empty($database_password) {
    # Uses
    # $database_name
    # $database_host
    # $database_password
    # $database_port
    # $database_user
    file { '/etc/puppetlabs/puppet-dashboard/database.yml':
      owner   => 'puppet-dashboard',
      group   => 'puppet-dashboard',
      mode    => '0640',
      content => template('puppet_enterprise/console/database.yml.erb'),
    }

    if $migrate_db {
      exec { 'migrate console database':
        command => 'rake db:migrate',
        require => File[ '/etc/puppetlabs/puppet-dashboard/database.yml' ],
      }
    }
  }

}
