require 'spec_helper'

describe 'a compile master with enable_reverse_proxy set to true' do
  let(:manifest) do
    'spec/fixtures/manifests/reverse_proxy_master.pp'
  end

  before :each do
    @facter_facts = {
      'osfamily'          => 'Debian',
      'operatingsystem'   => 'Debian',
      'lsbmajdistrelease' => '6',
      'puppetversion'     => '3.6.2 (Puppet Enterprise 3.3.0)',
      'is_pe'             => 'true',
      'fqdn'              => 'master.rspec',
      'clientcert'        => 'awesomecert',
      'pe_concat_basedir' => '/tmp/file',
      'processorcount'    => '1',
    }
  end

  let(:facts) { @facter_facts }

  it { should satisfy_all_relationships }

  context "when compiled" do
    it { should contain_pe_concat__fragment('puppetserver reverse-proxy-ca-service') }
    it { should contain_file('/etc/puppetlabs/puppetserver/conf.d/ca.conf').with_content(/proxy-config/) }
    it { should contain_file('/etc/puppetlabs/puppetserver/conf.d/ca.conf').with_content(/proxy-target-url.*https:\/\/master\.rspec:8140/) }
  end
end
